mxEdgeStyle.mxEdgeStyleFunction (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.view
Interface mxEdgeStyle.mxEdgeStyleFunction

Enclosing class:
  mxEdgeStyle

    public static interface mxEdgeStyle.mxEdgeStyleFunction

Defines the requirements for an edge style function.

Method Summary
`void` | `apply(mxCellState state, mxCellState source, mxCellState target, List<mxPoint> points, List<mxPoint> result)` Implements an edge style function.

Method Detail

### apply

    void apply(mxCellState state,
               mxCellState source,
               mxCellState target,
               List<mxPoint> points,
               List<mxPoint> result)

  Implements an edge style function. At the time the function is called, the result array contains a placeholder (null) for the first absolute point, that is, the point where the edge and source terminal are connected. The implementation of the style then adds all intermediate waypoints except for the last point, that is, the connection point between the edge and the target terminal. The first ant the last point in the result array are then replaced with mxPoints that take into account the terminal's perimeter and next point on the edge.

  Parameters:
    `state` - Cell state that represents the edge to be updated.
    `source` - Cell state that represents the source terminal.
    `target` - Cell state that represents the target terminal.
    `points` - List of relative control points.
    `result` - Array of points that represent the actual points of the edge.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.